VERSION 5.00
Begin VB.Form frmMain 
   Caption         =   "Paradox Reader: unbound resultset"
   ClientHeight    =   3090
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   6690
   LinkTopic       =   "Form1"
   ScaleHeight     =   3090
   ScaleWidth      =   6690
   StartUpPosition =   2  'CenterScreen
   Begin VB.TextBox txtRecords 
      Height          =   1575
      Left            =   240
      MultiLine       =   -1  'True
      TabIndex        =   1
      Top             =   1200
      Width           =   6015
   End
   Begin VB.CommandButton cmdLoadParadox 
      Caption         =   "Load Paradox table"
      Height          =   375
      Left            =   360
      TabIndex        =   0
      Top             =   360
      Width           =   2415
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub cmdLoadParadox_Click()
  'create unbound recordset for temporary storage (from Paradox table)
  
  Set objRS = CreateObject("ADODB.Recordset")
  objRS.CursorLocation = 3 ' adUseClient
  objRS.CursorType = 3 ' adStatic
  objRS.LockType = 4 'adLockBatchOptimistic

  'objRS.ActiveConnection = Nothing
  objRS.Fields.Append "Name", 200, 24, 32
  objRS.Fields.Append "Capital", 200, 24, 32
  objRS.Fields.Append "Continent", 200, 24, 32
  objRS.Fields.Append "Area", 139, 10, 32
  objRS.Fields.Append "Population", 139, 10, 32
  objRS.Open
  
  'create Paradox Reader instance
  Set pdx = CreateObject("PdxViewA.TScalabiumParadoxReader")
  
  pdx.FileName = App.Path & "\country.db"
  pdx.Mode = 4 'imCopy
    
  'pdx.ConnectionString = Nothing
  
  'load records to unbound resultset
  txtRecords.Text = ""
  pdx.LoadToRecordset (objRS)
  
  'view error is any occured
  If (pdx.LastErrorMessage = "") Then
    MsgBox "Data succesfully loaded"
  Else
    MsgBox pdx.LastErrorMessage
  End If
  Set pdx = Nothing
  
  'iterate thru recordset and add to memo
  Dim s As String
  
  objRS.MoveFirst
  Do Until objRS.EOF
    s = ""
    For Each field In objRS.Fields
      s = s & field.Value & ";"
    Next
    txtRecords.Text = txtRecords.Text & s & Chr$(13) & Chr$(10)
    objRS.MoveNext
  Loop
  
  'close and destroy the recordset
  objRS.Close
End Sub

